#include "DLL.CH"

#define LOCALE_INVARIANT            0x007F
#define LOCALE_SYSTEM_DEFAULT       0x0800
#define LOCALE_USER_DEFAULT         0x0400

// VISTA and later

#define LOCALE_CUSTOM_DEFAULT       0x0C00
#define LOCALE_CUSTOM_UI_DEFAULT    0x1400
#define LOCALE_CUSTOM_UNSPECIFIED   0x1000

#define LOCALE_SDECIMAL             0x0000000E   /* decimal separator */
#define LOCALE_STHOUSAND            0x0000000F   /* thousand separator */

DLLFUNCTION GetLocaleInfoA( nLanguage, nInfoType, @cData, nLenData ) using stdcall from kernel32.dll

PROCEDURE MAIN
LOCAL x

   CLS

   x := GetLocaleInfo( LOCALE_SYSTEM_DEFAULT, LOCALE_SDECIMAL    ) ; ? "NLS_SDECIMAL     "+STRTRAN(x,CHR(0),"")
   x := GetLocaleInfo( LOCALE_SYSTEM_DEFAULT, LOCALE_STHOUSAND   ) ; ? "NLS_STHOUSAND    "+STRTRAN(x,CHR(0),"")

   IF TRIM(x) = "."
      ? "Punkt"
   ELSE
      ? "kein Punkt sondern CHR(" + VAR2CHAR( ASC(x) ) + ")"
   ENDIF

   WAIT
RETURN


FUNCTION GetLocaleInfo( nLanguage, nInfoType )
local rc
local cData
local nLen

   nLen := 50 // nehmen wir mal an
   cData := space( nLen )
   rc := GetLocaleInfoA( nLanguage, nInfoType, @cData, nLen )

/*
Korrekterweise msste man die Lnge des Strings, der per Referenz zurck erwartet wird, vorher ermitteln:

   nLen  := GetLocaleInfoA( nLanguage, nInfoType, " ", 0 )
   cData := space( nLen )

   rc := GetLocaleInfoA( nLanguage, nInfoType, @cData, nLen )

*/

return left( cData, rc )

*
* eof
*